package com.bocloud.cmp.model;

import java.util.List;

public class AccessPathModel {
    private Long id;
    private String name;
    private String uuid;
    private String status;
    private Boolean chap; // 访问路径是否开启chap
    private String tname; // 访问路径开启chap时的目标端名称
    private String tsecret; // 访问路径开启chap时的目标端机密
    private String type; // 访问路径类型 ISCSI和local SCSI
    private String actionStatus;
    private Long blockVolumeNum; // 访问路径关联的卷数量
    private Long clientGroupNum; // 访问路径关联的客户端组数量
    private String description;
    private Boolean hidden;
    private List<TargetModel> targetModels; // 访问路径的服务器挂载数据

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Boolean getChap() {
        return chap;
    }

    public void setChap(Boolean chap) {
        this.chap = chap;
    }

    public String getTname() {
        return tname;
    }

    public void setTname(String tname) {
        this.tname = tname;
    }

    public String getTsecret() {
        return tsecret;
    }

    public void setTsecret(String tsecret) {
        this.tsecret = tsecret;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getActionStatus() {
        return actionStatus;
    }

    public void setActionStatus(String actionStatus) {
        this.actionStatus = actionStatus;
    }

    public Long getBlockVolumeNum() {
        return blockVolumeNum;
    }

    public void setBlockVolumeNum(Long blockVolumeNum) {
        this.blockVolumeNum = blockVolumeNum;
    }

    public Long getClientGroupNum() {
        return clientGroupNum;
    }

    public void setClientGroupNum(Long clientGroupNum) {
        this.clientGroupNum = clientGroupNum;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getHidden() {
        return hidden;
    }

    public void setHidden(Boolean hidden) {
        this.hidden = hidden;
    }

    public List<TargetModel> getTargetModels() {
        return targetModels;
    }

    public void setTargetModels(List<TargetModel> targetModels) {
        this.targetModels = targetModels;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
}
